Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class ServerRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--java.rmi.ServerRuntimeException

All Implemented Interfaces:
  Serializable

Deprecated. no replacement

public class ServerRuntimeException
extends RemoteException

A `ServerRuntimeException` is thrown as a result of a remote method call if the execution of the remote method on the server machine throws a `java.lang.RuntimeException`. A `ServerRuntimeException` is not thrown from servers executing in the Java 2 SDK v1.2 or later versions.

Since:
  JDK1.1
See Also:
  Serialized Form

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ServerRuntimeException(String s, Exception ex)` Deprecated. no replacement

Methods inherited from class java.rmi.RemoteException
`getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerRuntimeException

    public ServerRuntimeException(String s,
                                  Exception ex)

  Deprecated. no replacement

  Constructs a `ServerRuntimeException` with the specified detail message and nested exception.
  Parameters:
    `s` - the detail message
    `ex` - the nested exception
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.